Ubuntu can't boot on nvidia GeForce GT240 with nouveau drivers

Bug #763052 reported by tuxmartin on 2011-04-16
84
This bug affects 16 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
Nouveau Xorg driver
Confirmed
Medium
Fedora
New
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xserver-xorg-video-nouveau

I can't boot Ubuntu 10.10 on my PC with NVIDIA GeForce GT 240 (PCIe 16x). Instead login screen I see [attachment DSC00391.JPG].
Ctrl+Alt+Del and SysRq+B don't work.

Why Ubuntu use experimental (nouveau) driver?!? :
xserver-xorg-video-nouveau - X.Org X server -- Nouveau display driver (experimental)

WORKAROUND:
I must install Ubuntu from alternate CD and boot to text mode and uninstall these packages: nouveau-firmware, xserver-xorg-video-nouveau and install nvidia-current package.

WORKAROUND: Try boot live cd with "nomodeset" option. It works for me on GeForce GT 240.

In most of the modern distros by default is loading nouveau for nvidia cards. When it loading by default, it hangs completely, don`t response on all known keys (example, Alt+SysRq+B). Logs was clear with 0 bytes. Problem was solved by change card for an older nvidia 9x00 and installing proprietary driver. After changing card was all fine. Card was checked for problems with some tests, all were passed.

Yes, this is quite annoying.
I recall I upgraded Ubuntu and rebooted only to encounter this hang.
I can't even boot up some of the live CDs (Ubuntu, Linux Mint, ...) without bypassing nouveau.
I've switched back to the proprietary driver and everything is fine.
But we need to get to the bottom of this.

The nouveau driver does not appear to provide acceleration (at least for the moment) with GT240 cards. You can get X to start, however, by using

Option "NoAccel" "true"

In your X config.

It is painfully slow though, so the only real option is to use the proprietary NVidia driver.

The KMS/Nouveau framebuffer works as well, but again without acceleration, I have a copy of the dmesg output as it loads the driver and will upload if it will be useful; I guess the devs know of this issue with GT240's though.

tuxmartin (tuxmartin) wrote :
visibility: private → public

Isn't that windows that I see in screenshot?

tuxmartin (tuxmartin) wrote :

Yes. I work in Windows 7 before boot Ubuntu live CD.

tuxmartin (tuxmartin) wrote :

Ubuntu 11.04 Beta 2 have the same error. :-(

tuxmartin (tuxmartin) wrote :

Ubuntu 9.10 live CD is OK:

ubuntu@ubuntu:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 9.10
Release: 9.10
Codename: karmic
ubuntu@ubuntu:~$ dpkg -l | grep nouveau
ubuntu@ubuntu:~$ dpkg -l | grep nvidia
ii nvidia-173-modaliases 173.14.20-0ubuntu5 Modaliases for the NVIDIA binary X.Org drive
ii nvidia-185-modaliases 185.18.36-0ubuntu9 Modaliases for the NVIDIA binary X.Org drive
ii nvidia-96-modaliases 96.43.13-0ubuntu6 Modaliases for the NVIDIA binary X.Org drive
ii nvidia-common 0.2.15 Find obsolete NVIDIA drivers
ubuntu@ubuntu:~$

bugbot (bugbot) on 2011-04-17
tags: added: maverick
Marc Deslauriers (mdeslaur) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. We appreciate the difficulties you are facing, but this appears to be a "regular" (non-security) bug. I have unmarked it as a security issue since this bug does not show evidence of allowing attackers to cross privilege boundaries nor directly cause loss of data/privacy. Please feel free to report any other bugs you may find.

security vulnerability: yes → no

Hey tuxmartin,

Hi, have you had a chance to test if this bug is still present in natty?

If it does (and if you're the original reporter), please boot into natty
and run the command:

  apport-collect <bug-number>

which will update the bug with fresh logs and tag the bug as affecting
natty. (It is best to run this right after reproducing the problem.)

Changed in xserver-xorg-video-nouveau (Ubuntu):
status: New → Incomplete
tuxmartin (tuxmartin) wrote :

I try Ubuntu natty Desktop i386. It have the same problem - I can't boot. Instead login screen I see https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-nouveau/+bug/763052/+attachment/2049669/+files/DSC00391.JPG .

I must change bootloader settings on live CD. I remove "quiet splash" and add "single" and after that I choose "root command line" option.
I run "apport-collect 763052" command and get this:

""""
The authorization page:
 (https://launchpad.net/+authorize-token?oauth_token=pz6c86vgFS7c3fZh11Gt&allow_permission=DESKTOP_INTEGRATION)
should be opening in your browser. Use your browser to authorize
this program to access Launchpad on your behalf.

Waiting to hear from Launchpad about your decision...
""""

How can I upload this to Launchpad? I have only text mode.

tuxmartin (tuxmartin) on 2011-04-29
tags: added: natty
tags: added: nouveau nvidia
ricarribe (ricarribe) wrote :

I've Got the same problem here. I was using a nvidia geforce 8600 GT and Ubuntu Natty Live CD booted correctly. So I upgraded my video card to a geforce GT 240, tryed to install Ubuntu Natty (from USB) and got this strange screen. I am using Linux Mint 10 (based on Ubuntu 10.10). When I installed MInt 10 I was using the geforce 8600, but it works fine with my new geforce GT 240 with nVidia's drive. Maybe this problem is related with Ubuntu native drive?

tuxmartin (tuxmartin) wrote :

The problem is in nouveau (experimental) driver.

Install Ubuntu from alternate CD and boot to text mode and uninstall these packages: nouveau-firmware, xserver-xorg-video-nouveau and install nvidia-current package.

My old Nvidia GeForce 4 MX 440 works fine.

ricarribe (ricarribe) wrote :

Thanks, tuxmartin! I was able to install Ubuntu 11.04 with a Live USB in my desktop with a GeForce GT240. First, I created an USB boot drive with a 512Mb persistant file to install nvidia-current pack (actually, I think 256Mb would be enough). Then I booted Ubuntu in my laptop (which doesn't have a GeForce GT240), removed 'xserver-xorg-video-nouveau' pack and installed 'nvidia-current' pack using synaptic. So I booted the USB drive (with 'nvidia-current pack' installed) in my desktop with a GeForce GT240, and Ubuntu started with the Unity interface. So I proceeded to install Ubuntu in my harddrive. When the system finished the installation and asked me to reboot, I choosed to run the recuperation mode in Grub menu. Then I choosed the option to run the terminal in root mode with network interface, and, finaly, I installed the 'nvidia-current' pack ('apt-get install nvidia-current'). I rebooted the system and Ubuntu 11.04 runs fine now with my nvidia GT240!

georgef (georgef) wrote :

I thank you also. This worked for me on Ubuntu 10.10. I have Gigabyte 880GA-UD3H motherboard, AMD Phenom II X2 555 CPU,
and XFX GeForce GT240 video card.
I had struggled for days trying to get my rebuilt system to work and had given up and was using onboard graphics only. Then I found this easy fix on page 4 of this document. This information should be noted on the Ubuntu Community Documentation Manual for Nvidia.

maurizio masotti3 (mm-masotti) wrote :

Same problem with ubuntu 11.04, ubuntu 11.10, mint and other ubuntu-based distributions. My card is Nvidia GeForce GT240.

Martin Beeger (martin-beeger) wrote :

NVIDIA GT240 has speacial thermal settings whih really differ from other cards. On Windows this card ist running on 100°C at normal usage and up to 130°C while benchmarking. This is no problem, the windows driver has a much higher setting for overheating.
Is it possible that the noceau driver dont have these thermal settings and because of that the card gets stopped because of overheating?

mhcabi (mhcabi) on 2012-01-22
tags: added: oneiric
mhcabi (mhcabi) wrote :

I have experienced problems with the GT240 on both 10.10 AND 11.10 (both 64bit).

On 10.10:
Installed the system from cd; couldn't uninstall nouveau-firmware because it said package is not installed; removed server-xorg-video-nouveau and installed nvidia-current.
Rebooted, couldn't get 3D to work until I uninstalled an re-installed the proprietary Nvidia drivers, rebooted and everything worked perfectly - UNTIL I installed Adobe Flash and tried to play a YouTube video - system completely froze.
Also experienced same as above - constant reboots, not even a 'base-level' keyboard etc.

To be honest im getting just a little bit fed-up with Canonical's antics of the last 2-3 years (apologies if this is an Nvidia issue and not an Ubuntu one) - this six-month release schedule seems to be a bit of an encumbrance: instead of releasing every six months something that is untested and faulty, why not wait a bit longer until more things are sorted:

For example:
Installed 11.10 on my computer because I bought a new SSD - Previously working ATI graphics wouldn’t work and my previously working network card wouldn't work!!!
Thought that Nvidia would be a safer bet, installed a GT240 - ridiculous issues with the system rebooting constantly.

I LOVE Linux, but the driver issues of recent years on Ubuntu are making me really despair - instead of being 100% confident on an install (like in the days of 9.04 for example) I am now almost totally reluctant to want to change a system once it is working.

What is wrong!? Are there fewer devs willing to do the tedious task of driver-coding? Or are Canonical just not bothered about checking things like compatibility of VERY POPULAR RUN-OF-THE-MILL video cards, network cards etc. before releasing. This is basic stuff!! There is nothing rare or uncommon about a GT240! What kind of systems do they test Ubuntu on for pity's sake?

Martin Beeger (martin-beeger) wrote :

The NVIDIA-current direver does not work properly for the nvidia gt2x0 series, this is a bug which is known and present since the first release of this graphic card series.
Its a propietary driver from nvidia and they decided not to get their job done properly. Its closed source and the guys from nvidia rehected to support this grphic card for linux ( in fact even the windows driver for this card series is buggy and was never completely stable till today).

noveau is developped by reverse engineering the closed source nvidia driver code and developping a free open source graphics driver of it... but how to support a graphics card which isnt even properly supported by it own producer? There is no proper working code to reverse engineer! There are no specifications for this card which the card really fulfills....

mhcabi (mhcabi) wrote :

Great: I bought a 2xx card because I heard that the 4xx cards were crippled on Linux. Now it turns-out that they don't work either. I appreciate that this is an NVIDIA problem and not the fault of anyone in the Linux community but that doesn't reduce my frustration any. This pretty-much rules-out every affordable NVIDIA card produced in the last 3 years. Good job I didn't treat myself to that 285 I always wanted!

I read about people using high-end vids cards for cycles rendering in blender all the time. How do they get thier cards working? Is there any reference chart of cards that actually work so I don't waste any more money? Any citations would be much appreciated.

I use nVidia GTX 550 Ti and it works fine on Linux!

2012/1/23 mhcabi <email address hidden>

> Great: I bought a 2xx card because I heard that the 4xx cards were
> crippled on Linux. Now it turns-out that they don't work either. I
> appreciate that this is an NVIDIA problem and not the fault of anyone in
> the Linux community but that doesn't reduce my frustration any. This
> pretty-much rules-out every affordable NVIDIA card produced in the last
> 3 years. Good job I didn't treat myself to that 285 I always wanted!
>
> I read about people using high-end vids cards for cycles rendering in
> blender all the time. How do they get thier cards working? Is there any
> reference chart of cards that actually work so I don't waste any more
> money? Any citations would be much appreciated.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/763052
>
> Title:
> Ubuntu 10.10 can't boot on nvidia GeForce GT240
>
> Status in NVIDIA-Common:
> New
> Status in “xserver-xorg-video-nouveau” package in Ubuntu:
> Incomplete
> Status in Fedora:
> New
>
> Bug description:
> Binary package hint: xserver-xorg-video-nouveau
>
> I can't boot Ubuntu 10.10 on my PC with NVIDIA GeForce GT 240 (PCIe 16x).
> Instead login screen I see [attachment DSC00391.JPG].
> Ctrl+Alt+Del and SysRq+B don't work.
> I must install Ubuntu from alternate CD and boot to text mode and
> uninstall these packages: nouveau-firmware, xserver-xorg-video-nouveau and
> install nvidia-current package.
>
> Why Ubuntu use experimental (nouveau) driver?!? :
> xserver-xorg-video-nouveau - X.Org X server -- Nouveau display driver
> (experimental)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/nvidia-common/+bug/763052/+subscriptions
>

Try boot live cd with "nomodeset" option. It works for me on GeForce GT 240.

Bryce Harrington (bryce) on 2012-02-04
Changed in xserver-xorg-video-nouveau (Ubuntu):
status: Incomplete → Confirmed

I have nvidia Gforce4 440mx, since nouveau driver come with ubuntu, the system don't work, i boot and when i push a key or move the mouse the system hangs. why they used a driver that don't work? why ubuntu don't like i chose the driver?

Eduard Gotwig (gotwig) on 2012-04-14
summary: - Ubuntu 10.10 can't boot on nvidia GeForce GT240
+ Ubuntu can't boot on nvidia GeForce GT240 with nouveau drivers
Eduard Gotwig (gotwig) wrote :

So when you want to install ubuntu with this graphics card you have tto boot live cd with nomodeset option, like tuxmartin wrote in #19. Than you install it normaly. After a install you have to go to the grub menu (trough pressing ESC key), and than selecting rescoue mode.

There you go to commandline, and type "sudo apt-get install xserver-xorg-video-nouveau "

Than you confirm your action, on english setup with y for yes.

Its not critical, or even important that it wants to remove xserver-xorg-video-all , becouse its somehow a meta package.

After that you restart, now you have normal VESA framebuffer.

Now you can install proprietary drivers trough jocket-gtk, the standard find drivers program.

Affects also precise release.

Eduard Gotwig (gotwig) wrote :

*jockey-gtk

Peter Wagner (o-petris) wrote :

After filing a new bug #973789, I came to the result, that the causes for my trouble (Precise install additionally to Lucid only through the alternate CD, now it runs only in rescue mode) is the graphics driver (I have a GeForce GT 240), for details see https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/973789
Maybe there is an additional problem, as my trial to install the proprietary NVidia driver, working in graphical rescue mode, failed.
Now I don't know how to continue: repeat the install from scratch according to Eduard's recommendations, or replace my actual driver by an appropriate one? But what is the actual driver, and which one to use now? nouveau is said to be not working on boot (#21), but it is recommended to install nouveau (#21), and the final target is apparently to end up with VESA (which I think is the driver in my rescue environment). Sorry for my beginner's kidding, but I have tried to install the xserver-xorg-video-nouveau driver by several ways.
For the time being I still work on Lucid, but I am eager to update to Precise.

Thanks a lot!
Peter Wagner

Peter Wagner (o-petris) wrote :

Now I can positively confirm, that the problem was given by a Nouveau driver. According to the receipt #19, I removed the Nouveau driver, restarted for sure, allowed the Nvidia propriety driver (to run Ubiquity in 3D), and everything is going fine now. I was just confused by the "install" parameter, which made no sense to me, but I trusted for a while, until I decided to uninstall it. Thanks a lot!!!

Anyway, the bug still persisted until yesterday, and if there is some priority to make the Nouveau driver run with this card, I would be really happy to help as a testing case. Don't hesitate to contact me on o.petris$volny.cz (with some patience, it takes sometimes some days for me to check mails.

madbiologist (me-again) wrote :

@mhcabi - re comment #17 - there is a nouveau driver feature matrix at http://nouveau.freedesktop.org/wiki/FeatureMatrix
To know which column heading includes your card, you will need to refer to the NVIDIA chip code names table at http://nouveau.freedesktop.org/wiki/CodeNames
There is a similar page for the open-source radeon driver for ATI/AMD Radeon cards at http://www.x.org/wiki/RadeonFeature
The date of the last edit for each of these pages is displayed at the bottom of the pages.

The nouveau wiki page at http://nouveau.freedesktop.org/wiki/MesaDrivers states that at least Mesa 7.11 is needed for 3D support on the GeForce GT220, GT240 and GT320. This means Ubuntu 11.10 "Oneiric Ocelot" or later.

@tenertener - as you have different hardware please create a separate bug report.

@everyone - Does this still occur on Ubuntu 12.04 "Precise Pangolin"?

Changed in xserver-xorg-video-nouveau (Ubuntu):
status: Confirmed → Incomplete
Dariusz Gadomski (dgadomski) wrote :

@madbiologist: I experience exactly the same behavior on 12.04.

madbiologist (me-again) on 2012-06-12
Changed in xserver-xorg-video-nouveau (Ubuntu):
status: Incomplete → Confirmed
tags: added: precise

Still present :(

Created attachment 63234
VBIOS for NVIDIA GT ® 240

You might want to actually post a recent kernel log showing your problem, because the developers won't get anywhere with vague descriptions.

Also following up on your mailinglist post:
there is no general problem with nouveau and nv92, which is one of the most common chipsets and works without problems for the most of us.

So you have to be more specific about what problems you do encounter in order to get real help.

Peter Wagner (o-petris) wrote :

just confirming, that my description above indeed relates to Precise Pangolin.

Peter Wagner (o-petris) wrote :

Tried again the actual nouveau driver, with the same result: The screen displyed only some relics of former activity, no work possible in Ubuntu. REISUB properly restarts.
The worst: A restart into recovery mode freezes at the stage, where a selection is expected (resume of boot, start in text mode etc.). No input is accepted, REISUB shows no response.
I modified the grub booting line (pressing 'e') and replaced "quit splash" by nomodeset and was able to enable the non-propriety driver again. Uff!

I'm trying to customize a live system based on Debian and it has encoutered the same issue with GT240 card. It seems that it works fine with other nVidia cards. But only for GT240, it simply boots and freezes when booting into X system.

If you need any logs, please let me know how to get them.

rsaxvc (rsaxvc-5) wrote :

Also affects debian wheezy / xserver-xorg-video-nouveau 1:1.0.1-3.

The debian X11 log is here http://209.153.66.72/Xorg.0.log.NVidiaGT240Crash

The same happened to Ubuntu, which caused me to try out debian.

tuxmartin, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: needs-boot-debug-log needs-kernel-logs needs-upstream-testing
removed: nouveau nvidia
description: updated
affects: xserver-xorg-video-nouveau (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
affects: nvidia-common → linux

*** Bug 57211 has been marked as a duplicate of this bug. ***

*** Bug 49057 has been marked as a duplicate of this bug. ***

*** Bug 52509 has been marked as a duplicate of this bug. ***

*** Bug 41333 has been marked as a duplicate of this bug. ***

Please re-test with the latest kernel. There are reports of all nva3+ cards working fine for most people with current software.

I can still reproduce it with kernel 3.11 rc6. Should I run different kernel?

(In reply to comment #15)
> I can still reproduce it with kernel 3.11 rc6. Should I run different kernel?

That is the right kernel. Can you describe exactly what it is that you can reproduce? Logs? etc. See http://nouveau.freedesktop.org/wiki/Bugs/ for what we need.

[I know some of the bugs I marked as a dup of this one had that for old versions, but I'd still like to see updated info.]

Created attachment 84637
kernel_log.txt

GPU locks up when nouveau module is started with KMS enabled. It is no longer possible to start X in this case but the ttys are still usable.

Created attachment 84638
kernel_log_drm_debug_14.txt

Kernel log with drm.debug=14

Wow, so right on boot:

[ 15.639931] nouveau E[ DRM] GPU lockup - switching to software fbcon
[ 15.643599] [drm] Initialized nouveau 1.1.1 20120801 for 0000:04:00.0 on minor 0

It locks up before the probe is even done! One thing to check -- do you have any old firmware in /lib/firmware/nouveau? You shouldn't need any firmware to run nva3 (except the video firmware if you want vdpau).

Also, could you produce a log with

drm.debug=14 nouveau.debug=trace

That might provide more info as to what's going on.

Created attachment 84652
kernel_log_nouveau_drm_debug.txt

There is certainly no firmware in /lib/firmware/nouveau.
I've now attached a new dmesg output.

*** Bug 61460 has been marked as a duplicate of this bug. ***

I no longer have accel turned off but I have had to add:

        Option "ShadowFB" "1" # [<bool>]

to get mine to work.

Xorg.0.log:
[ 140.225] Current Operating System: Linux ktmtoshiba 3.11.0-0.rc6.git2.1.fc21.x86_64 #1 SMP Thu Aug 22 21:02:34 UTC 2013 x86_
64
[ 140.225] Kernel command line: BOOT_IMAGE=/vmlinuz-3.11.0-0.rc6.git2.1.fc21.x86_64 root=UUID=895ff4c3-db90-4071-aeab-a0ec2d6b
94cf ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 ipv6.disable=1 rhgb quiet acpi_backlight=vendor acpi_osi=Linux
[ 140.225] Build Date: 30 July 2013 06:10:29AM
[ 140.225] Build ID: xorg-x11-server 1.14.2-9.fc20
[ 140.225] Current version of pixman: 0.30.0

[ 140.567] (II) Module nouveau: vendor="X.Org Foundation"
[ 140.567] compiled for 1.14.2, module version = 1.0.9
[ 140.567] Module class: X.Org Video Driver
[ 140.567] ABI class: X.Org Video Driver, version 14.1

dmesg:
[ 4.516476] fbcon: nouveaufb (fb0) is primary device
[ 6.059440] nouveau E[ DRM] GPU lockup - switching to software fbcon
[ 6.072773] nouveau 0000:01:00.0: fb0: nouveaufb frame buffer device
[ 6.072776] nouveau 0000:01:00.0: registered panic notifier
[ 6.072852] [drm] Initialized nouveau 1.1.1 20120801 for 0000:01:00.0 on minor 0

So, Stikonas's bug is due to PGRAPH not processing any commands .... ever.

I pushed his mmiotrace in the vbios repo for anyone willing to check what is wrong in nouveau's way of setting up pgraph.

*** Bug 52244 has been marked as a duplicate of this bug. ***

Still present in 3.13.2-gentoo. I found that -EBUSY returns from nv50_fbcon_imageblit.

> what is wrong in nouveau's way of setting up pgraph.
Does it mean that the bug somewhere in nv50_grctx_generate? Just to be sure that bug in this function, is it possible to replace it using data from mmiotrace of nvidia driver? For me it is not obvious how to modificate nv50_grctx_fill in that case, what nv50_grctx_init should write to *size and, after all, may it help somehow?

Created attachment 95408
initialize stuff for gddr5 ram

This patch is based on Andrew's mmiotrace. I saw a sequence of init that I didn't see in other traces for working cards. Andrew -- would be interesting if you could check it out and see if it helps. The algorithm I came up with is insane -- there has to be some sort of data-driven thing going on there, but I couldn't work it out.

For people having issues, please do a mmiotrace of the blob loading on your card (see https://wiki.ubuntu.com/X/MMIOTracing for instructions), and send it (xz -9'd) to <email address hidden>.

(In reply to comment #26)
> Created attachment 95408 [details] [review]
> initialize stuff for gddr5 ram
>
> This patch is based on Andrew's mmiotrace. I saw a sequence of init that I
> didn't see in other traces for working cards. Andrew -- would be interesting
> if you could check it out and see if it helps. The algorithm I came up with
> is insane -- there has to be some sort of data-driven thing going on there,
> but I couldn't work it out.
>
> For people having issues, please do a mmiotrace of the blob loading on your
> card (see https://wiki.ubuntu.com/X/MMIOTracing for instructions), and send
> it (xz -9'd) to <email address hidden>.

I might be able to test this patch in the middle of April. Sorry, I can't access that computer now.

For me, with this patch the problem is still present. I sent my mmiotrace (NVIDIA Corporation GT215 [GeForce GT 240]).

Created attachment 95418
another patch for gddr5 ram

I made this patch using my mmiotrace, but it doesn't help either.

Comment on attachment 95408
initialize stuff for gddr5 ram

Review of attachment 95408:
-----------------------------------------------------------------

::: drivers/gpu/drm/nouveau/core/subdev/fb/ramnva3.c
@@ +365,5 @@
> + /* XXX this algorithm is insane, find some sanity to it. */
> + /* [1] MMIO32 R 0x100268 0x30030200 PFB.SUBPART_CONFIG => { SELECT_MASK = 0x2 | UNK16 = 0x3 | ENABLE_MASK = 0x3 } */
> + nv_wr32(pfb, 0x10fcac, 0x00001f01);
> + for (o = 0; o < 4; o++) {
> + int off = offsets[i];

maybe int off = offsets[o]; ?

@@ +387,5 @@
> + for (i = 0x20, idx = 0; i < 0x30; i++, idx++) {
> + int pat = pattern[2 + (idx % 2)];
> + if (i == 0x26)
> + pat = 0;
> + if (i == 0x1f)

looks like this condition is always false in this for-loop

(In reply to comment #29)
> Created attachment 95418 [details] [review]
> another patch for gddr5 ram
>
> I made this patch using my mmiotrace, but it doesn't help either.

Oh well. Indeed the values in your mmiotrace are different, but your and Andrew's mmiotrace are the only traces I've seen that actually have the writes to those 0x10fxyz registers. (A few other traces have writes to the similar-but-different DDR3 registers.)

And yes, I definitely did want to use offsets[o] in my patch.

Well, perhaps this 0x10f stuff has nothing to do with the issue. My observation was that it seemed like for all the people it was broken for had GDDR5 ram, which is why I went in this direction.

John Kuang (xiphosurus) wrote :

FWIW, xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1 as found in 13.10 still has this exact same problem.

John Kuang, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

I'm trying like crazy to figure out why I have GPU lockups, but all the bugs seem to dead end. What is the current status of this? More information, not going to fix, unconfirmed? I have an NVA3 card (Quadro FX 1800M, GT215) which cannot startx with acceleration, even with firmware.

Let me know if that's applicable to this bug and how I can provide information, if so. For reference, I'm on Arch 64bit. Trying to track down similar bugs to decide if I'm a duplicate issue or if I should start a new report.

*** Bug 77371 has been marked as a duplicate of this bug. ***

Awesome, it works for me.

Linux 3.14.14-gentoo
OpenGL vendor string: nouveau
OpenGL renderer string: Gallium 0.4 on NVA3
OpenGL core profile version string: 3.3 (Core Profile) Mesa 10.2.7
OpenGL core profile shading language version string: 3.30

Created attachment 107979
noise example

In glxgears on some frames appears color noise, and it disappears or changes on next frame.
Noise appears at some frames in glxgears, and it disappears or on next frame.
Same style noise may appear (shuffled pixels) while scrolling in Firefox or switching tabs.

Created attachment 107980
kernel log for weston freeze

In weston at some time computer stops responding at keyboard and mouse events.

I applied that patch to Ubuntu Trusty 3.13.0-38.65, and it gives a huge improvement. X no longer crashes on startup, and 3D acceleration works.

However I also get the glitchy noise a few times a second, except when showing a static image. It is all over the screen, and sometimes appears as triangles.

Running glxgears and Firefox at the same time also starts giving errors in the kernel log pretty quickly.

Created attachment 108030
Firefox and glxgears at the same time

*** Bug 78570 has been marked as a duplicate of this bug. ***

phil (fongpwf) wrote :

I see this problem with the 14.04 LTS Live USB. On bootup I get a scrambled screen. Switch VTs shows it printing out TLB Flush Idle timeout errors.

Changed in nouveau:
importance: Undecided → Unknown
status: New → Unknown

phil, thank you for your comment. Unfortunately, the information is lacking information necessary to be actionable. However, so your problem and hardware may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
https://wiki.ubuntu.com/Kernel/Policies/DuplicateBugs
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in nouveau:
importance: Unknown → Medium
status: Unknown → Confirmed
madbiologist (me-again) wrote :

Is this problem still occurring on Ubuntu 14.10 "Utopic Unicorn"?

madbiologist (me-again) wrote :

Actually, forget about testing this on Utopic. It was released too soon to incorporate the patch in comment #69. The patch is in the 3.18 kernel.

Please test the 3.18.1 mainline kernel available at http://kernel.ubuntu.com/~kernel-ppa/mainline/ and report back here. Instructions on how to install and uninstall it are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds

*** Bug 89991 has been marked as a duplicate of this bug. ***

madbiologist (me-again) wrote :

This is fixed in Ubuntu 15.04 "Vivid Vervet". You might still experience some flickering - the upstream developers are still working on that.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.